System.Core 3.5.0.0 4.0.0.0 System.Linq.Expressions.Expression System.Diagnostics.DebuggerTypeProxy(typeof(System.Linq.Expressions.Expression/ListInitExpressionProxy))

Use the factory methods to create a .

The value of the property of a is .

Represents a constructor call that has a collection initializer.

- Method
  4.0.0.0
  System.Linq.Expressions.Expression `` To be added. To be added. To be added. To be added.
- Property
  4.0.0.0
  System.Boolean To be added. To be added.

  Gets a value that indicates whether the expression tree node can be reduced.

- Property
  3.5.0.0
  4.0.0.0
  System.Collections.ObjectModel.ReadOnlyCollection<System.Linq.Expressions.ElementInit> To be added. To be added.

  Gets the element initializers that are used to initialize a collection.

- Property
  3.5.0.0
  4.0.0.0
  System.Linq.Expressions.NewExpression To be added. To be added.

  Gets the expression that contains a call to the constructor of a collection type.

- Property
  4.0.0.0
  System.Linq.Expressions.ExpressionType To be added. To be added.

  Returns the node type of this .

- Method
  4.0.0.0
  System.Linq.Expressions.Expression

  If the CanReduce method returns true, this method should return a valid expression.

  This method is allowed to return another node which itself must be reduced.

  Reduces the binary expression node to a simpler expression.

  The reduced expression.

- Property
  4.0.0.0
  System.Type To be added. To be added.

  Gets the static type of the expression that this represents.

- Method
  4.0.0.0
  System.Linq.Expressions.ListInitExpression `` `` To be added.

  Creates a new expression that is like this one, but using the supplied children. If all of the children are the same, it will return this expression.

  This expression if no children are changed or an expression with the updated children.

  The property of the result. The property of the result.